signal.c File Reference
Intra-application signals

Generic signalling/notification infrastructure. More...

`#include <osmocom/core/signal.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`

## Data Structures

struct | signal_handler

## Functions

static | LLIST_HEAD (signal_handler_list)
void * | osmo_signal_talloc_ctx_init (void *root_ctx)
| Initialize a signal_handler talloc context for osmo_signal_register_handler. More...
int | osmo_signal_register_handler (unsigned int subsys, osmo_signal_cbfn *cbfn, void *data)
| Register a new signal handler. More...
void | osmo_signal_unregister_handler (unsigned int subsys, osmo_signal_cbfn *cbfn, void *data)
| Unregister signal handler. More...
void | osmo_signal_dispatch (unsigned int subsys, unsigned int signal, void *signal_data)
| dispatch (deliver) a new signal to all registered handlers More...

## Variables

void * | tall_sigh_ctx

## Detailed Description

Generic signalling/notification infrastructure.